Package csb :: Package statistics :: Package samplers :: Package mc :: Module neqsteppropagator :: Class AbstractPropagationParam

[frames] | no frames]

# Class AbstractPropagationParam

source code

    object --+
             |
            AbstractPropagationParam

Known Subclasses:
  - HMCPropagationParam
  - , MDPropagationParam
  - , PlainMDPropagationParam

Subclasses hold informations required for different kinds of system propagation

Instance Methods
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__init__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`